Update a Taskpatch https://api.elliemae.com/workflow/v1/tasks/{id}Updates a task.Path ParamsidstringrequiredUnique identifier of the task.Query ParamsassignToMebooleanSpecify True to indicate task assignment to login user. Default is False.truefalseviewstringPossible value is entity. When view entity is passed, the response body will include the entire updated data contract of the posted resource.metadatabooleanIndicates whether to include metadata in the response.truefalseBody ParamsnamestringName of the task.descriptionstringDescription of the task.typestringType of task.customAttributesarray of objectsCustom Attributes of the task.customAttributesADD objectassociationsarray of objectsassociationsADD objectrequiredbooleanIndicates if the task is required to mark the parent as complete.truefalsestatusstringStatus of the task. Possible values are: NOT_STARTED IN_PROGRESS COMPLETED resolutionstringResolution of the task.resolutionCommentstringResolution comment of the task.priorityintegerPriority of the task.rankstringRank of the task to indicate the sort order. Items with lower rank are presented items with higher rank.tagsarray of stringsTags on the task.tagsADD stringmetadataobjectTask related information.metadata objectautocompletebooleanFlag to indicate whether the task will be marked complete if all required sub entities under the task are completed.truefalsetaskGroupIdstringUnique identifier of the task group, if present.assigneeobjectPrimary assignee of the task.entityRef objectworkEntityobjectWork Entity of the task.entityRef objectduestringDue date of the task.startedstringUTC Datetime on which task is started.completedstringUTC Datetime on which task is completed.durationintegerDuration for task to be completed.durationFormatstringDuration format for task to be completed. Possible values are: Minute Hour Day For example, ['Minute', 'Hour', 'Day'] HeadersAuthorizationstringrequiredBearer tokenResponses 200OK 400Bad Request 401Unauthorized 403Forbidden 404Not Found 500Internal Server ErrorUpdated 3 months ago